---
layout: mockup
title: "Mouse & Touchpad"
theme: Adwaita/Adwaita.css
permalink: settings/mouse-touchpad
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<!-- General -->
			<div class="row">
				<!-- <h5>General</h5> -->
				<ul class="listrow">
					<li class="medium">
						<div class="label-group">
							<label>Primary Button</label>
							<label class="small-label dim-label">The primary physical button for clicking.</label>
						</div>
						<div class="linked float-right">
							<a class="button text-button pressed left">Left</a><a class="button text-button right">Right</a>
						</div>
					</li>
					<li class="medium">
						<div class="label-group">
							<label>Multitouch Gestures</label>
							<label class="small-label dim-label">Touch gestures that use 3 or more fingers.</label>
						</div>
						{%- include components/switch.html checked = "checked" float = "right" -%}
					</li>
				</ul>
			</div>
			<!-- Mouse -->
			<div class="row">
				<h5>Mouse</h5>
				<ul class="listrow">
					<li>
						<label>Mouse Cursor Speed</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="mouseSpeedScale">
					</li>
					<li class="medium">
						<div class="label-group">
							<label>Natural Scrolling</label>
							<label class="small-label dim-label">Scrolling moves the content, not the view.</label>
						</div>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Disable Touchpad When Connected</label>
						{%- include components/switch.html float = "right" id = "touchpadSwitch" checked = "" -%}
					</li>
				</ul>
			</div>
			<!-- Touchpad -->
			<div class="row">
				<h5>Touchpad</h5>
				<ul class="listrow">
					<li>
						<label>Touchpad</label>
						<!-- {%- include components/listrow-link-icon.html -%} -->
						{%- include components/switch.html float = "right" id = "touchpadSwitch" checked = "checked" -%}
						<!-- <label class="float-right dim-label" id="touchpadStatus">Enabled</label> -->
					</li>
					<li class="touchpadOption">
						<label>Touchpad Cursor Speed</label>
						<input class="float-right" type="range" min="1" max="100" value="50" id="touchpadSpeedScale">
					</li>
					<li class="medium touchpadOption">
						<div class="label-group">
							<label>Typing Detection</label>
							<label class="small-label dim-label">When typing the touchpad will be disabled.</label>
						</div>
						{%- include components/switch.html float = "right" id = "touchpadSwitch" checked = "checked" -%}
					</li>
					<li class="medium touchpadOption">
						<div class="label-group">
							<label>Tap to Click</label>
							<label class="small-label dim-label">Tap the touchpad with one finger to click.</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li class="medium touchpadOption">
						<div class="label-group">
							<label>Natural Scrolling</label>
							<label class="small-label dim-label">Scrolling moves the content, not the view.</label>
						</div>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li class="medium touchpadOption">
						<div class="label-group">
							<label>Two-Finger Scrolling</label>
							<label class="small-label dim-label">Gesture with two fingers on the touchpad to scroll</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li class="medium touchpadOption">
						<div class="label-group">
							<label>Edge Scrolling</label>
							<label class="small-label dim-label">Move finger along the edge of the touchpad to scroll.</label>
						</div>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Disable Touchpad Dialog -->
	<div class="gtkdialog" id="touchpadDialog">
		<div class="gtkdialog-window message-dialog">
			<div class="gtkdialog-content">
				<div class="row">
					<h3>Disable Touchpad?</h3>
					<p>Disabling the touchpad with no other pointing devices attached is not recommended.</p>
				</div>
				<a class="button text-button float-left" onclick="$('#touchpadSwitch').prop('checked', true);$('#touchpadDialog').hide();">Cancel</a>
				<a class="button text-button float-right" onclick="$('#touchpadStatus').text('Disabled');$('.touchpadOption').addClass('insensitive');$('#touchpadDialog').hide();">Disable</a>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(15) li').addClass("active");});

// toggle joined button status
$(document).ready(function(){
	$("a.right").click(function(){
		$("a.left").removeClass("pressed");
		$("a.right").addClass("pressed");
	});
});
$(document).ready(function(){
	$("a.left").click(function(){
		$("a.right").removeClass("pressed");
		$("a.left").addClass("pressed");
	});
});

// touchpad toggle
$(document).ready(function(){
	$('#touchpadSwitch').change(function(){
		if($(this).is(":checked")) {
			$('.touchpadOption').removeClass('insensitive');$
			$("#touchpadStatus").text("Enabled");
		} else {
			$('#touchpadDialog').show();
			$("#touchpadStatus").text("Disabled");
		}
	});
});

</script>